## decoroute-0.8.1.tar.gz

=== Makefile ===
#
# $Id: Makefile,v e834a419882a 2009/10/28 08:02:52 vsevolod $
#

all: build

arch:
	cp -f PKGBUILD PKGBUILD.local
	sed -i -e 's/_hgroot=.*/_hgroot=../' PKGBUILD.local
	makepkg -p PKGBUILD.local

build:
	python setup.py sdist

pypi:
	python setup.py register

pypiup:
	# can`t work via proxy ?
	python setup.py sdist upload

clean:
	rm -rf build dist *.egg-info *.pyc *.tar.gz *.orig *~ pkg src PKGBUILD.local

=== PKGBUILD ===
# -*- shell-script -*-
# Arch Linux package build script
#
# Contributor: Vsevolod Balashov <vsevolod@balashov.name>
#
# $Id: PKGBUILD,v 870e0d9d07c9 2009/10/28 07:27:50 vsevolod $

name=decoroute
pkgname=python-$name-hg
pkgver=45
pkgrel=1
pkgdesc="Pattern-matching based WSGI-compliant URL routing tool"
arch=(any)
url="http://pypi.python.org/pypi/$name"
license=('LGPL2')
depends=('python')
makedepends=('setuptools' 'mercurial')

_hgroot="http://bitbucket.org/sevkin/"
_hgrepo=decoroute

build() {
  cd "$srcdir/$name"
  python setup.py install --prefix=/usr --root=$startdir/pkg || return 1
}
